{{- if .Values.rbac.create -}}
apiVersion: rbac.authorization.k8s.io/v1beta1
kind: ClusterRole
metadata:
  name: {{ template "backend.fullname" . }}
  namespace: {{ .Release.Namespace | quote }}
  labels:
    app: {{ template "backend.name" . }}
    chart: {{ template "backend.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
rules:
  - apiGroups: [""]
    resources: ["services", "pods", "endpoints", "configmaps"]
    verbs: ["get","list"]
---
apiVersion: rbac.authorization.k8s.io/v1beta1
kind: ClusterRoleBinding
metadata:
  name: {{ template "backend.fullname" . }}
  labels:
    app: {{ template "backend.name" . }}
    chart: {{ template "backend.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: {{ template "backend.fullname" . }}
subjects:
  - name: {{ template "backend.serviceAccountName" . }}
    namespace: {{ .Release.Namespace | quote }}
    kind: ServiceAccount
{{- end -}}